Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Process_Strategy Class Reference

`#include <Endpoint_Strategy.h>`

Inheritance diagram for TAO_AV_Endpoint_Process_Strategy:

[legend]
Collaboration diagram for TAO_AV_Endpoint_Process_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Process_Strategy (ACE_Process_Options *process_options)
| Constructor. The process_options contain the name and arguments for the process to be created. More...
virtual | ~TAO_AV_Endpoint_Process_Strategy (void)
| Destructor. More...
virtual int | activate (void)
| creates a new child process, and waits on a semaphore until the child process has finished creating the endpoints. More...
## Protected Methods
virtual int | bind_to_naming_service (ACE_ENV_SINGLE_ARG_DECL)
| Bind to the naming service. More...
virtual int | get_stream_endpoint (ACE_ENV_SINGLE_ARG_DECL)=0
| Get the object reference for the newly created stream endpoint (which will be in the child process) Subclasses will define the functionality for this. More...
virtual int | get_vdev (ACE_ENV_SINGLE_ARG_DECL)
| Get the Vdev object reference for the newly created endpoint. More...
## Protected Attributes
CosNaming::NamingContext_var | naming_context_
| Naming context. More...
ACE_Process_Options * | process_options_
| Name and arguments for the process to be created. More...
char | host_ [MAXHOSTNAMELEN]
| name of this host used for resolving unique names. More...
pid_t | pid_
| My child's process id. More...

## Constructor & Destructor Documentation

TAO_AV_Endpoint_Process_Strategy::TAO_AV_Endpoint_Process_Strategy | ( | ACE_Process_Options * | process_options | ) |

| Constructor. The process_options contain the name and arguments for the process to be created.

TAO_AV_Endpoint_Process_Strategy::~TAO_AV_Endpoint_Process_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_AV_Endpoint_Process_Strategy::activate | ( | void |  | ) | `[virtual]`

| creates a new child process, and waits on a semaphore until the child process has finished creating the endpoints.

int TAO_AV_Endpoint_Process_Strategy::bind_to_naming_service | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Bind to the naming service.

virtual int TAO_AV_Endpoint_Process_Strategy::get_stream_endpoint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, pure virtual]`

| Get the object reference for the newly created stream endpoint (which will be in the child process) Subclasses will define the functionality for this. Reimplemented in TAO_AV_Endpoint_Process_Strategy_A, and TAO_AV_Endpoint_Process_Strategy_B.

int TAO_AV_Endpoint_Process_Strategy::get_vdev | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Get the Vdev object reference for the newly created endpoint.

## Member Data Documentation

char TAO_AV_Endpoint_Process_Strategy::host_[MAXHOSTNAMELEN]`[protected]`

| name of this host used for resolving unique names.

CosNaming::NamingContext_var TAO_AV_Endpoint_Process_Strategy::naming_context_`[protected]`

| Naming context.

pid_t TAO_AV_Endpoint_Process_Strategy::pid_`[protected]`

| My child's process id.

ACE_Process_Options* TAO_AV_Endpoint_Process_Strategy::process_options_`[protected]`

| Name and arguments for the process to be created.

The documentation for this class was generated from the following files:

- Endpoint_Strategy.h
- Endpoint_Strategy.cpp